<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.messages"></cv:cvMessages>
	<cv:cvMessages bundle="localization.collections"></cv:cvMessages>
	<cv:cvMessages bundle="localization.servers"></cv:cvMessages>
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
	<cv:cvMessages bundle="localization.scheduleJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.settingsJs"></cv:cvMessages>
</script>
<div>
	<div data-ng-controller="exchDbSubClientDetailsController as exchDbSCDetCtrl">
		<div>
			<span data-cv-loading-spinner data-ng-model="exchDbSCDetCtrl.showLoader"></span>
		</div>
		<div class="row">
			<div class="col-md-12">
				<h1 class="float-left" data-ng-bind="exchDbSCDetCtrl.scdetails.subClientEntity.subclientName" ></h1>
				<span class="server-message {{exchDbSCDetCtrl.serverMessage.type}}">{{exchDbSCDetCtrl.serverMessage.message}}</span>
				<!--Backup Restore links -->
				<span data-ng-if="exchDbSCDetCtrl.scdetails && exchDbSCDetCtrl.scdetails.commonProperties.isDefaultSubclient!=true"  data-ng-click="exchDbSCDetCtrl.deleteExDbClientSC(exchDbSCDetCtrl.scdetails.subClientEntity)"><a class="page-action-item" href=""><cv:msg key="Delete" bundle="messages"/></a></span>
				<span data-ng-if="exchDbSCDetCtrl.scdetails"><a class="page-action-item" href="" data-ng-click="exchDbSCDetCtrl.getRestoreHistoryUrl()"><cv:msg key="label.RestoreHistory" bundle="exchange" /></a></span>
				<span data-ng-if="exchDbSCDetCtrl.scdetails"><a class="page-action-item" href="" data-ng-click="exchDbSCDetCtrl.getBackupHistoryUrl()"><cv:msg key="label.BackupHistory" bundle="exchange" /></a></span>
				<span data-ng-if="exchDbSCDetCtrl.scdetails && exchDbSCDetCtrl.showRestoreOption()" ><a class="page-action-item" href="" data-ng-click="exchDbSCDetCtrl.doExchDbBrowse()"><cv:msg key="label.restore" bundle="exchange"/></a></span>
				<span data-ng-if="exchDbSCDetCtrl.scdetails && exchDbSCDetCtrl.showRestoreMessageOption()" ><a class="page-action-item" href="" data-ng-click="exchDbSCDetCtrl.doExchDbRecoverMessage()"><cv:msg key="label.recover.message" bundle="exchange"/></a></span>
			</div>
		</div>
		<div class="row">
			<!-- Left column Begin -->
			<div class="col-md-6">
				<!-- Summary Tile -->
				<cv-tile-component data-ac-id="dagSubclientDetails-label_summary-servers" data-ng-show="exchDbSCDetCtrl.scdetails" data-title='<cv:msg key="label.summary" bundle="servers"/>' loader="exchDbSCDetCtrl.backupEnabledStatusInfo">
					<ul data-ng-if="exchDbSCDetCtrl.scdetails" class="group list-style-secondary">
							<li class="group"><span class="pageDetailColumn"><cv:msg key="label.lastbackup.time" bundle="collections" /></span>
								 <span data-ng-if='exchDbSCDetCtrl.scdetails.commonProperties.lastBackupTime!=0' class="pageDetailColumn"><div class="time crop" val="{{exchDbSCDetCtrl.scdetails.commonProperties.lastBackupTime}}"></div></span></li>
							<li class="group"><span class="pageDetailColumn"><cv:msg key="label.lastbackup.size" bundle="collections" /></span>
								 <span class="pageDetailColumn">{{exchDbSCDetCtrl.scdetails.commonProperties.lastBackupSize | capacity}}</span></li>
							<li class="group"><span class="pageDetailColumn"><cv:msg key="label.data.management" bundle="servers" /></span>
							<span class="pageDetailColumn">
								<toggle-control class="{{exchDbSCDetCtrl.backupEnabledStatusInfo}}" status="exchDbSCDetCtrl.backupEnabledStatusInfo" data-ng-click="exchDbSCDetCtrl.manageActivity()" title="Enable/disable <cv:msg key='label.data.management' bundle='servers' />"></toggle-control>
							</span>
							</li>
						</ul>
				</cv-tile-component>
				<!-- Summary Tile End-->
				<!-- Backup Tile -->
				<cv-tile-component data-ac-id="dagSubclientDetails-label_backup-collections" data-ng-show="exchDbSCDetCtrl.scdetails" data-title='<cv:msg key="label.backup" bundle="collections" />'>
					<ul class="serverBackupTile">
						<!-- Top right tile links -->
						<li><span class="page-details-box-links multiLinks">
							<ul>
							<!-- Show BackupNow link only when no backup jobs are currently running-->
								<li data-ng-if="exchDbSCDetCtrl.showBackup['backup'] && exchDbSCDetCtrl.backupEnabledStatusInfo!= 'disabled-activity'" class="restoreli"    data-ng-click="exchDbSCDetCtrl.showBackupOptions(exchDbSCDetCtrl.entityType,exchDbSCDetCtrl.genericEntity)"><a href=""><cv:msg key="action.backupNow" bundle="collections" /></a></li>
								<li><a data-ng-href="#jobs?collectionId={{exchDbSCDetCtrl.scdetails.subClientEntity.subclientId}}&collectionName={{exchDbSCDetCtrl.scdetails.subClientEntity.subclientName}}&jobType=Backup"><cv:msg key="action.jobs" bundle="servers" /></a></li>
							</ul>
						</span></li>
						<!-- If no backup jobs are running, show appropriate message -->
						<li data-ng-if="exchDbSCDetCtrl.showBackup['backup']">
							<p class="info-place-holder"><cv:msg key="info.nobackupRunning" bundle="collections" /></p>
						</li>
						<!-- If backup job is being submitted, show appropriate message -->
						<li data-ng-if="exchDbSCDetCtrl.showBackup['submittingJob']">
							<p class="info-place-holder"><cv:msg key="info.submittingJob" bundle="collections" /></p>
						</li>
						<!-- If atleast one backup job is running, show the job details using cvJob directive -->
						<li data-ng-if="exchDbSCDetCtrl.backupJobs.length>0"><data-cv-job jobs='exchDbSCDetCtrl.backupJobs' show-backup='exchDbSCDetCtrl.showBackup'></data-cv-job></li>
						<li data-ng-if="exchDbSCDetCtrl.backupJobErrorMessage">
							<ul>
									<span class="serverMessage {{exchDbSCDetCtrl.backupJobErrorMessage.type}}">{{exchDbSCDetCtrl.backupJobErrorMessage.message}}</span>
								</ul>
						</li>
						</ul>
				</cv-tile-component>
				<!-- BAckup Tile end-->
				<!-- Security -->
				<cv-security-component data-ng-show="exchDbSCDetCtrl.scdetails" entity-type='exchDbSCDetCtrl.entityType' generic-entity = 'exchDbSCDetCtrl.genericEntity' associations='exchDbSCDetCtrl.formattedSecurityAssociations' associations-loaded='exchDbSCDetCtrl.associationsLoaded' data-show-Owners='true'>
				</cv-security-component>
				<!-- Security End -->
				<div data-ng-if="exchDbSCDetCtrl.scdetails">
					<cv-sla-client data-entity-data="exchDbSCDetCtrl.scdetails" data-entity-type="'SUBCLIENT_ENTITY'" data-entity-id="exchDbSCDetCtrl.scdetails.subClientEntity.subclientId"></cv-sla-client>
				</div>
				<!-- Alerts Tile -->
				<cv-alert-component data-ng-show="exchDbSCDetCtrl.scdetails" alerts='exchDbSCDetCtrl.alerts'>
				</cv-alert-component>
				<!-- Alerts Tile End-->
			</div>
			<!-- Left column end -->
			<!-- Right column begin -->
			<div class="col-md-6">
				<cv-entity-plan-policy-tiles data-cv-application-id="exchDbSCDetCtrl.applicationId" data-cv-plan-sub-type="exchDbSCDetCtrl.planSubType"
						data-cv-show-edit="true" data-cv-subclient-id="subclientId" data-cv-client-id="exchDbSCDetCtrl.clientId" data-cv-subclient-name="exchDbSCDetCtrl.scdetails.subClientEntity.subclientName"
						data-cv-plan-entity="exchDbSCDetCtrl.scdetails.planEntity"
						data-cv-show-schedule="exchDbSCDetCtrl.scdetails" data-cv-show-storage="exchDbSCDetCtrl.scdetails" data-cv-show-plan="exchDbSCDetCtrl.planSet">
				</cv-entity-plan-policy-tiles>
				<!-- Begin Settings -->
					<cv-tile-component data-ac-id="dagSubclientDetails-header_settings-exchange" data-ng-show="exchDbSCDetCtrl.scdetails" data-title='<cv:msg key="header.settings" bundle="exchange"/>' loader="exchDbSCDetCtrl.scdetails">
						<ul class="group list-style-secondary toggle-height">
							<li class="group">
								<span class="pageDetailColumn"><cv:msg key="label.max.streams.that.can.be.used" bundle="exchange" /></span>
								<span class="pageDetailColumn" data-ng-bind="exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.numberOfExchangeBackupStreams"></span>
							</li>
							 <li class="group">
		                        <span class="pageDetailColumn"><cv:msg key="label.optimize.message.level.recovery" bundle="exchange"/></span>
		                        <span class="pageDetailColumn">
		                            <toggle-control class="{{exchDbSCDetCtrl.optimizeMessageLevelRecovery}}"
		                            	status="exchDbSCDetCtrl.optimizeMessageLevelRecovery"
		                            	data-ng-click="exchDbSCDetCtrl.manageOptimizeMessageLevelRecovery()"
		                            	title="Enable/disable <cv:msg key='label.optimize.message.level.recovery' bundle='exchange' />">
		                            </toggle-control>
		                        </span>
		                    </li>
						</ul>
						<div class="page-details-box-links" data-ng-show="exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.numberOfExchangeBackupStreams != ''">
		               		 <a href="" data-ng-click="exchDbSCDetCtrl.showEditSettingsDialog()"><cv:msg key="action.edit" bundle="exchange" /></a>
		           		</div>
					</cv-tile-component>
				<!-- Begin Settings -->
				<!--Begin SC Contents -->
				<cv-tile-component data-ac-id="dagSubclientDetails-label_content-exchange" data-ng-show="exchDbSCDetCtrl.scdetails" data-title='<cv:msg key="label.content" bundle="exchange"/>' loader="exchDbSCDetCtrl.previewContents">
					<ul data-ng-if="exchDbSCDetCtrl.previewContents.length>0" class="group list-style-secondary">
<!-- 						<li class="group"> -->
<!-- 							<span class="pageDetailColumnFull content-count-underline"> -->
<%-- 								<div class="content-count-display"><cv:msg key="label.db.content.count" bundle="exchange" />({{exchDbSCDetCtrl.scdetails.content.length}})</div> --%>
<!-- 							</span> -->
<!-- 						</li> -->
						<li data-ng-repeat="previewContent in exchDbSCDetCtrl.previewContents" class="group">
							{{previewContent}}
						</li>
						<span class="tile-link-wrapper" data-ng-if="exchDbSCDetCtrl.scdetails.content.length > exchDbSCDetCtrl.previewCount">
							<a class="tile-content-link" data-ng-click="exchDbSCDetCtrl.showEditContentDialog()"><cv:msg key="content.label.more.db" bundle="exchange"/> (<cv:msg key="label.db.content.count" bundle="exchange" />{{exchDbSCDetCtrl.scdetails.content.length}}) </a>
						</span>
					</ul>
					<ul data-ng-if="exchDbSCDetCtrl.previewContents.length == 0" class="group list-style-secondary">
						<li><span class="serverMessage {{exchDbSCDetCtrl.noContentMsg.type}}">{{exchDbSCDetCtrl.noContentMsg.message}}</span></li>
					</ul>
					<div class="page-details-box-links" data-ng-show="exchDbSCDetCtrl.scdetails && exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp">
		               		 <a href="" data-ng-click="exchDbSCDetCtrl.showEditContentDialog()"><cv:msg key="action.edit" bundle="exchange" /></a>
		           	</div>
				</cv-tile-component>
				<!--End SC Contents -->
				<!-- Begin Server Details -->
				<cv-tile-component data-ac-id="dagSubclientDetails-header_server_details-exchange" data-ng-show="exchDbSCDetCtrl.scdetails" data-title='<cv:msg key="header.server.details" bundle="exchange"/>' loader="exchDbSCDetCtrl.scdetails">
					<!-- Automatic server selection -->
					<div data-ng-if="exchDbSCDetCtrl.scdetails && exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp && exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.serverType == exchDbSCDetCtrl.serverSelectionAutomatic.key">
						<ul class="group list-style-secondary toggle-height">
							<li class="group">
									<span class="pageDetailColumn"><cv:msg key="label.server.selection" bundle="exchange" /></span>
									<span class="pageDetailColumn">{{exchDbSCDetCtrl.serverSelectionAutomaticLoc}}</span>
							</li>
							<li class="group">
									<span class="pageDetailColumn"><cv:msg key="label.dag.options" bundle="exchange" /></span>
									<span class="pageDetailColumn">
										<span data-ng-if="exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.backupFromPassiveCopy"><cv:msg key="label.backup.from.passive.copy" bundle="exchange" /><br></span>
										<!-- if passive is disabled and  others are selected, we will have to show the option of passive is deselected-->
										<!-- else in the preview it will show active selected, but on edit it will be greyed out, because passive is not selected!! -->
										<dfn><span data-ng-if="exchDbSCDetCtrl.isPassiveDeselectedButOthersSelected()">
											<cv:msg key="label.backup.from.passive.copy" bundle="exchange" /><br>
										</span></dfn>
										<span data-ng-if="exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.backupFromActiveCopy"><cv:msg key="label.backup.active.copy.if.no.passive" bundle="exchange" /><br></span>
										<span data-ng-if="exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.useLastActivation"><cv:msg key="label.use.last.activation.preference" bundle="exchange" /></span>
									</span>
							</li>
						</ul>
					</div>
					<!-- Manual server selection -->
					<div data-ng-if="exchDbSCDetCtrl.scdetails && exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp && exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.serverType == exchDbSCDetCtrl.serverSelectionManual.key">
						<ul class="group list-style-secondary toggle-height">
							<li class="group">
									<span class="pageDetailColumn"><cv:msg key="label.server.selection" bundle="exchange" /></span>
									<span class="pageDetailColumn">{{exchDbSCDetCtrl.serverSelectionManualLoc}}</span>
							</li>
							<li class="group">
									<span class="pageDetailColumn"><cv:msg key="label.server.associations" bundle="exchange" /></span>
							</li>
							<li class="group">
								<cv-grid  data-ng-show="exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.exchDBAssociatedServer
													&& exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.exchDBAssociatedServer.length > 0"
										  cv-grid-options="exchDbSCDetCtrl.dbAssociatedServersGridOptions"></cv-grid>
							</li>
						</ul>
					</div>
					<!-- Show the more link only when its manual -->
					<span class="tile-link-wrapper" data-ng-if="exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.serverType == exchDbSCDetCtrl.serverSelectionManual.key && exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp.exchDBAssociatedServer.length > exchDbSCDetCtrl.previewCount">
							<a class="tile-content-link" data-ng-click="exchDbSCDetCtrl.showEditServerSelectionDialog()"><cv:msg key="content.label.more.db.server.assoc" bundle="exchange"/></a>
					</span>
					<div class="page-details-box-links" data-ng-show="exchDbSCDetCtrl.scdetails && exchDbSCDetCtrl.scdetails.exchangeDBSubClientProp">
		               		 <a href="" data-ng-click="exchDbSCDetCtrl.showEditServerSelectionDialog()"><cv:msg key="action.edit" bundle="exchange" /></a>
		           	</div>
				</cv-tile-component>
				<!-- End Server Details -->
			</div>
			<!-- Right column end -->
		</div>
	</div>
</div>
