<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<form name="addEditAzureAppSettingsForm" data-cv-submit="addEditAzureAppSettingsCtrl.saveInfo()" novalidate autocomplete="off" class="form-horizontal" cv-hide-api>
	<div class="bootstrap-wrapper">
		<div class="setup-title">
			<h1 ng-bind="addEditAzureAppSettingsCtrl.heading"></h1>
		</div>
		<div class="modal-body">
			<div class="form-group">
				<label class="col-xs-12 col-lg-4" for="applicationId"><cv:msg key="label.applicationId" bundle="exchange"></cv:msg></label>
				<div class="col-xs-12 col-lg-8">
					<input type="text" id="applicationId" name="applicationId" 
					placeholder='<cv:msg key="placeholder.azureAppId" bundle="office365"/>'
					data-ng-model="addEditAzureAppSettingsCtrl.azureDetails.azureAppId" ng-disabled="addEditAzureAppSettingsCtrl.isEdit" required/>
					<div class="help-block"	data-ng-show="cv.addEditAzureAppSettingsForm.needsAttention(addEditAzureAppSettingsForm.applicationId)">
						<cv:msg key="label.appIdRequired" bundle="exchange" />
					</div>
				</div>
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-lg-4" for="secretAccessKey"><cv:msg key="label.secretAccessKey" bundle="exchange"></cv:msg></label>
				<div class="col-xs-12 col-lg-8">
					<input type="password" id="secretAccessKey"
						autocomplete="new-password" name="secretAccessKey"
						placeholder='<cv:msg key="placeholder.azureAppSecret" bundle="office365" />'
						data-ng-model="addEditAzureAppSettingsCtrl.azureDetails.azureAppKeyValue" required/>
					<div class="help-block"	data-ng-show="cv.addEditAzureAppSettingsForm.needsAttention(addEditAzureAppSettingsForm.secretAccessKey)">
						<cv:msg key="label.appSecretRequired" bundle="exchange" />
					</div>
				</div>
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-lg-4" for="tenantName"><cv:msg key="label.azureDirectoryID" bundle="messages"></cv:msg></label>
				<div class="col-xs-12 col-lg-8">
					<input type="text" id="tenantName" name="tenantName" 
						placeholder='<cv:msg key="label.help.azureDirectoryID" bundle="exchange"/>'
						data-ng-model="addEditAzureAppSettingsCtrl.azureDetails.azureDirectoryId" required ng-disabled="addEditAzureAppSettingsCtrl.isEdit"/>
					<div class="help-block"	data-ng-show="cv.addEditAzureAppSettingsForm.needsAttention(addEditAzureAppSettingsForm.tenantName)">
						<cv:msg key="label.azureTenantIdRequired" bundle="exchange" />
					</div>
				</div>
			</div>
			<div data-ng-if="addEditAzureAppSettingsCtrl.showSPConfigureAppDocLink">
				<a ng-href="{{addEditAzureAppSettingsCtrl.SPConfigureAppDocLink}}" target="_blank"> <i class="fa fa-external-link"></i> <cv:msg key="label.o365Sp.SPConfigureAppDocLink" bundle="office365" /></a>
			</div>
		</div>
		<div class="modal-footer">
			<button id="addEditAzureAppSettingsForm_button_#6894" type="button" class="btn btn-default cvBusyOnAjax"
				data-ng-click="addEditAzureAppSettingsCtrl.cancel()">
				<cv:msg key="action.cancel" bundle="exchange" />
			</button>
			<button id="addEditAzureAppSettingsForm_button_#4961" type="submit" class="btn btn-primary cvBusyOnAjax">
				<cv:msg key="action.save" bundle="exchange" />
			</button>
		</div>
	</form>
</div>