<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<form data-cv-submit="addServiceAccountCtrl.add()"
	name="addServiceAccoutForm" class="form-horizontal bootstrap-wrapper"
	novalidate>
	<div class="modal-header">
		<h1 class="modal-title" ng-show="!addServiceAccountCtrl.isEdit">
			<cv:msg key="label.addExchangeServiceAccount" bundle="exchange" />
		</h1>
		<h1 class="modal-title" ng-show="addServiceAccountCtrl.isEdit">
			<cv:msg key="label.editServiceAccount" bundle="exchange" />
		</h1>
	</div>
	<div class="modal-body">
		<uib-accordion close-others="oneAtATime">
		<div
			data-ng-if="!addServiceAccountCtrl.showOnlyLocalSystemAccount && !addServiceAccountCtrl.isServiceAccountEdit"
			uib-accordion-group class="panel-default"
			data-is-open="addServiceAccountCtrl.azureAppHeader">
			<uib-accordion-heading> <cv:msg
				key="label.addAzureApp" bundle="exchange" /> <i
				class="float-right glyphicon"
				data-ng-class="{'glyphicon-chevron-down': addServiceAccountCtrl.azureAppHeader, 'glyphicon-chevron-right': !addServiceAccountCtrl.azureAppHeader}"></i>
			</uib-accordion-heading>
			<!-- Show if add manually is selected! -->
			<div class="form-group">
				<label class="col-xs-12 col-lg-4" for="applicationId"> <cv:msg
						key="label.applicationId" bundle="exchange"></cv:msg>
				</label>
				<div class="col-xs-12 col-lg-8">
					<input type="text" id="applicationId" name="applicationId"
						data-ng-required="true"
						placeholder='<cv:msg key="label.help.applicationId" bundle="exchange"/>'
						data-ng-model="addServiceAccountCtrl.azureApp.azureAppKeyID" />
					<div class="help-block"
						data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.applicationId)">
						<cv:msg key="label.appIdRequired" bundle="exchange" />
					</div>
				</div>
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-lg-4" for="secretAccessKey"> <cv:msg
						key="label.secretAccessKey" bundle="exchange"></cv:msg>
				</label>
				<div class="col-xs-12 col-lg-8">
					<input type="password" id="secretAccessKey" name="secretAccessKey"
						data-ng-required="true"
						placeholder='<cv:msg key="label.help.secretAccessKey" bundle="exchange"/>'
						data-ng-model="addServiceAccountCtrl.azureApp.azureAppKeySecret" />
					<div class="help-block"
						data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.secretAccessKey)">
						<cv:msg key="label.appSecretRequired" bundle="exchange" />
					</div>
				</div>
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-lg-4" for="tenantName"> <cv:msg
						key="label.azureDirectoryID" bundle="exchange"></cv:msg>
				</label>
				<div class="col-xs-12 col-lg-8">
					<div>
						<input type="text" id="tenantName" name="tenantName"
							placeholder='<cv:msg key="label.help.azureDirectoryID" bundle="exchange"/>'
							data-ng-required="true"
							data-ng-model="addServiceAccountCtrl.azureApp.azureTenantName" />
					</div>
					<div class="help-block"
						data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.tenantName)">
						<cv:msg key="label.azureTenantIdRequired" bundle="exchange" />
					</div>
				</div>
			</div>
		</div>
		<div uib-accordion-group class="panel-default"
			data-is-open="addServiceAccountCtrl.serviceAccountHeader">
			<uib-accordion-heading> <cv:msg
				key="label.addExchangeServiceAccount" bundle="exchange" /> <i
				class="float-right glyphicon"
				data-ng-class="{'glyphicon-chevron-down': addServiceAccountCtrl.serviceAccountHeader, 'glyphicon-chevron-right': !addServiceAccountCtrl.serviceAccountHeader}"></i>
			</uib-accordion-heading>
			<div class="form-group hidden">
				<label class="col-xs-12 col-lg-4" for="serviceType"><cv:msg
						key="label.serviceType" bundle="exchange" /></label>
				<div class="col-xs-12 col-lg-8">
					<select name="serviceType" required
						data-ng-change="addServiceAccountCtrl.serviceAccount.exchangeAdminSmtpAddress = ''"
						data-ng-model="addServiceAccountCtrl.serviceAccount.serviceType"
						data-ng-options="type.value as type.display for type in addServiceAccountCtrl.serviceAccountTypes">
					</select>
					<div class="help-block"
						data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.serviceType)">
						<cv:msg key="error.selectServiceType" bundle="exchange" />
					</div>
				</div>
			</div>
			<div class="form-group"
				data-uib-collapse="addServiceAccountCtrl.serviceAccount.serviceType !== 'EXCHANGE_ONLINE'">
				<label class="col-xs-12 col-lg-4" for="exchangeAdminSmtpAddress"><cv:msg
						key="label.emailAddress" bundle="exchange" /></label>
				<div class="col-xs-12 col-lg-8">
					<input type="email" id="exchangeAdminSmtpAddress"
						name="exchangeAdminSmtpAddress"
						data-ng-model="addServiceAccountCtrl.serviceAccount.exchangeAdminSmtpAddress"
						placeholder="<cv:msg key="label.emailAddressPlaceholder" bundle="exchange"></cv:msg>"
						data-ng-required="addServiceAccountCtrl.serviceAccount.serviceType === 'EXCHANGE_ONLINE'" />
					<div class="help-block"
						data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.exchangeAdminSmtpAddress)">
						<cv:msg key="error.noEmail" bundle="exchange" />
					</div>
				</div>
			</div>
			<div class="form-group"
				data-ng-if="addServiceAccountCtrl.serviceAccount.serviceType !== 'EXCHANGE_ONLINE'">
				<label class="col-xs-12 col-lg-4" for="userName"><cv:msg
						key="label.userName" bundle="exchange" /></label>
				<div class="col-xs-12 col-lg-8">
					<input type="text" id="userName" name="userName"
						data-ng-model="addServiceAccountCtrl.serviceAccount.userAccount.userName"
						data-ng-required="addServiceAccountCtrl.serviceAccount.serviceType !== 'EXCHANGE_ONLINE'"
						placeholder="<cv:msg key="label.helptextDomain" bundle="serversJs"></cv:msg>\<cv:msg key="label.helpTextUsername" bundle="serversJs"></cv:msg>" />
					<div class="text-muted"
						data-ng-if="addServiceAccountCtrl.serviceAccount.serviceType === 'EXCHANGE_ONLINE'">
						<cv:msg key="label.exchangeOnlineNote" bundle="exchange"></cv:msg>
					</div>
					<div class="help-block"
						data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.userName)">
						<cv:msg key="error.noUserName" bundle="exchange" />
					</div>
				</div>
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-lg-4" for="password"><cv:msg
						key="label.password" bundle="exchange" /></label>
				<div class="col-xs-12 col-lg-8">
					<input type="password" name="password" id="password"
						data-ng-model="addServiceAccountCtrl.serviceAccount.userAccount.password"
						placeholder='{{addServiceAccountCtrl.isEdit?"<cv:msg
					key="label.passwordKeep" bundle="settings" />":""}}'
						data-ng-required="!addServiceAccountCtrl.isEdit" />
					<div class="help-block"
						data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.password)">
						<cv:msg key="error.noPassword" bundle="exchange" />
					</div>
				</div>
			</div>
			<div class="form-group">
				<label class="col-xs-12 col-lg-4" for="confirmPassword"><cv:msg
						key="label.confirmPassword" bundle="exchange" /></label>
				<div class="col-xs-12 col-lg-8">
					<input type="password" name="confirmPassword" id="confirmPassword"
						data-ng-model="addServiceAccountCtrl.serviceAccount.userAccount.confirmPassword"
						data-cv-equals="{{addServiceAccountCtrl.serviceAccount.userAccount.password}}"
						data-ng-required="!addServiceAccountCtrl.isEdit" />
					<div class="help-block"
						data-ng-show="addServiceAccoutForm.confirmPassword.$error.required && cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.confirmPassword)">
						<cv:msg key="error.noConfirmPassword" bundle="exchange" />
					</div>
					<div class="help-block"
						data-ng-show="!addServiceAccoutForm.confirmPassword.$error.required && addServiceAccoutForm.confirmPassword.$error.cvEquals && cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.confirmPassword)">
						<cv:msg key="error.mismatchedPassword" bundle="exchange" />
					</div>
				</div>
			</div>
		</div>
		</uib-accordion>
	</div>
	<div class="modal-footer">
		<button id="addServiceAccountForOffice365_button_#0027" class="btn btn-default" type="button" 
			data-ng-click="addServiceAccountCtrl.cancel()">
			<cv:msg key="Cancel" bundle="messages" />
		</button>
		<button id="addServiceAccountForOffice365_button_#2639" class="btn btn-primary" type="submit" 
			ng-show="!addServiceAccountCtrl.isEdit">
			<cv:msg key="Add" bundle="messages" />
		</button>
		<button id="addServiceAccountForOffice365_button_#6587" class="btn btn-primary" type="submit" 
			ng-show="addServiceAccountCtrl.isEdit">
			<cv:msg key="Save" bundle="messages" />
		</button>
	</div>
</form>