<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<form data-cv-submit="addServiceAccountCtrl.add()" name="addServiceAccoutForm" class="form-horizontal bootstrap-wrapper" cv-hide-api novalidate>
	<div class="setup-title modal-header" >
		<h1 ng-bind="addServiceAccountCtrl.heading"></h1>
	</div>
	
	<div class="modal-body">
		<div class="form-group" ng-if="addServiceAccountCtrl.serviceAccount.serviceType !== 'EXCHANGE_GLOBAL_ADMIN'">
			<label class="col-xs-12 col-lg-4" for="serviceType"><cv:msg
					key="label.serviceType" bundle="exchange" /></label>
			<div class="col-xs-12 col-lg-8">
				<select id="serviceType" name="serviceType" required
					data-ng-change="addServiceAccountCtrl.confirmPasswordForThisChange(true)"
					data-ng-model="addServiceAccountCtrl.serviceAccount.serviceType"
					data-ng-options="type.value as type.display for type in addServiceAccountCtrl.serviceAccountTypes">
				</select>
				<div class="help-block"
					data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.serviceType)">
					<cv:msg key="error.selectServiceType" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="form-group" data-uib-collapse="addServiceAccountCtrl.serviceAccount.serviceType === 'SYSTEM_ACCOUNT'">
			<label class="col-xs-12 col-lg-4" for="exchangeAdminSmtpAddress"><cv:msg
					key="label.emailAddress" bundle="exchange" /></label>
			<div class="col-xs-12 col-lg-8">
				<input type="email" id="exchangeAdminSmtpAddress"
					name="exchangeAdminSmtpAddress"
					data-ng-model="addServiceAccountCtrl.serviceAccount.exchangeAdminSmtpAddress"
					data-ng-pattern="addServiceAccountCtrl.REGEX.EMAIL"
					data-ng-change="addServiceAccountCtrl.confirmPasswordForThisChange(false)"
					placeholder="<cv:msg key="label.emailAddressPlaceholder" bundle="exchange"></cv:msg>"
					data-ng-required="addServiceAccountCtrl.serviceAccount.serviceType !== 'SYSTEM_ACCOUNT'" />
				<div class="help-block"
					data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.exchangeAdminSmtpAddress)">
					<cv:msg key="error.noEmail" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="form-group"
			data-ng-if="addServiceAccountCtrl.serviceAccount.serviceType !== 'EXCHANGE_ONLINE' && addServiceAccountCtrl.serviceAccount.serviceType !== 'EXCHANGE_GLOBAL_ADMIN'">
			<label class="col-xs-12 col-lg-4" for="userName"><cv:msg
					key="label.userName" bundle="exchange" /></label>
			<div class="col-xs-12 col-lg-8">
				<input type="text" id="userName" name="userName"
					data-ng-model="addServiceAccountCtrl.serviceAccount.userAccount.userName"
					data-ng-required="addServiceAccountCtrl.serviceAccount.serviceType !== 'EXCHANGE_ONLINE' || addServiceAccountCtrl.serviceAccount.serviceType !== 'EXCHANGE_GLOBAL_ADMIN'"
					data-ng-change="addServiceAccountCtrl.confirmPasswordForThisChange(false)"
					placeholder="<cv:msg key="label.helptextDomain" bundle="serversJs"></cv:msg>\<cv:msg key="label.helpTextUsername" bundle="serversJs"></cv:msg>" />
				<div class="text-muted"
					data-ng-if="addServiceAccountCtrl.serviceAccount.serviceType === 'EXCHANGE_ONLINE'">
					<cv:msg key="label.exchangeOnlineNote" bundle="exchange"></cv:msg>
				</div>
				<div class="help-block"
					data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.userName)">
					<cv:msg key="error.noUserName" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="form-group">
			<label class="col-xs-12 col-lg-4" for="password"><cv:msg
					key="label.password" bundle="exchange" /></label>
			<div class="col-xs-12 col-lg-8">
				<input type="password" name="password" id="password"
					data-ng-model="addServiceAccountCtrl.serviceAccount.userAccount.password"
					placeholder='{{addServiceAccountCtrl.isEdit?"<cv:msg
					key="label.passwordKeep" bundle="settings" />":""}}'
					data-ng-required="!addServiceAccountCtrl.isEdit ||addServiceAccountCtrl.serviceAccountModified" />
				<div class="help-block"
					data-ng-show="cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.password)">
					<cv:msg key="error.noPassword" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="form-group">
			<label class="col-xs-12 col-lg-4" for="confirmPassword"><cv:msg
					key="label.confirmPassword" bundle="exchange" /></label>
			<div class="col-xs-12 col-lg-8">
				<input type="password" name="confirmPassword" id="confirmPassword"
					data-ng-model="addServiceAccountCtrl.serviceAccount.userAccount.confirmPassword"
					data-cv-equals="{{addServiceAccountCtrl.serviceAccount.userAccount.password}}"
					data-ng-required="!addServiceAccountCtrl.isEdit ||addServiceAccountCtrl.serviceAccountModified" />
				<div class="help-block"
					data-ng-show="addServiceAccoutForm.confirmPassword.$error.required && cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.confirmPassword)">
					<cv:msg key="error.noConfirmPassword" bundle="exchange" />
				</div>
				<div class="help-block"
					data-ng-show="!addServiceAccoutForm.confirmPassword.$error.required && addServiceAccoutForm.confirmPassword.$error.cvEquals && cv.addServiceAccoutForm.needsAttention(addServiceAccoutForm.confirmPassword)">
					<cv:msg key="error.mismatchedPassword" bundle="exchange" />
				</div>
			</div>
		</div>
		<div data-ng-if="addServiceAccountCtrl.isEdit"
			data-ng-hide="addServiceAccountCtrl.serviceAccount.serviceType === 'SYSTEM_ACCOUNT' || addServiceAccountCtrl.serviceAccount.serviceType === 'EXCHANGE_ONLINE' || addServiceAccountCtrl.serviceAccount.serviceType === 'EXCHANGE_GLOBAL_ADMIN'"
			class="form-group">
			<div class="col-xs-12">
				<input type="checkbox" id="useStaticProfile" name="useStaticProfile"
					data-ng-model="addServiceAccountCtrl.useStaticProfile"
					data-ng-change="addServiceAccountCtrl.serviceAccount.profileName = '';" />
				<label for="useStaticProfile"><cv:msg
						key="label.useStaticProfile" bundle="exchange" /></label>
			</div>
		</div>
		<div class="form-group" data-ng-if="addServiceAccountCtrl.isEdit"
			data-uib-collapse="!addServiceAccountCtrl.useStaticProfile">
			<label class="col-xs-12 col-lg-4" for="profileName"><cv:msg
					key="label.profileName" bundle="exchange" /></label>
			<div class="col-xs-12 col-lg-8">
				<input data-ng-required="addServiceAccountCtrl.useStaticProfile"
					type="text" id="profileName" name="profileName"
					data-ng-model="addServiceAccountCtrl.serviceAccount.profileName" />
				<div class="help-block"
					data-ng-show="addServiceAccoutForm.profileName.$error.required && cv.addServiceAccoutForm.needsAttention(addServiceAccountCtrl.serviceAccount.profileName)">
					<cv:msg key="error.invalidProfileName" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="text-muted" data-ng-if="!addServiceAccountCtrl.isLocalSystemAccount">
			<div>
				<cv:msg key="label.needAtLeastOneOfTheFollowing" bundle="exchange" />
			</div>
			<ul>
				<li
					data-ng-class="addServiceAccountCtrl.hasExchangeVersionAccount ? 'text-success complete' : 'text-danger incomplete'"
					data-ng-if="addServiceAccountCtrl.mailbox.mailboxType.toLowerCase() !== 'contentstore' && addServiceAccountCtrl.mailbox.attributes.onePassProp.environmentType !== 'EXCHANGE_ONLINE_ONLY' && addServiceAccountCtrl.mailbox.attributes.onePassProp.environmentType !== 'EXCHANGE_ONLINE_WITH_ONPREM_AD'"><cv:msg
						key="label.needExchangeVersion" bundle="exchange" /></li>
				<li
					data-ng-class="addServiceAccountCtrl.hasExchangeOnlineAccount ? 'text-success complete' : 'text-danger incomplete'"
					data-ng-if="addServiceAccountCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY' || addServiceAccountCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_HYBRID' || addServiceAccountCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_WITH_ONPREM_AD'"><cv:msg
						key="label.needExchangeOnline" bundle="exchange" /></li>
				<li
					data-ng-class="addServiceAccountCtrl.hasLocalSystemAccount ? 'text-success complete' : 'text-danger incomplete'"
					data-ng-if="!addServiceAccountCtrl.isInfrastructurePoolConfiguredModal && (addServiceAccountCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY' || addServiceAccountCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_WITH_ONPREM_AD')"><cv:msg
						key="label.needLocalSystem" bundle="exchange" /></li>
			</ul>
		</div>
	</div>
	<div class="modal-footer">
		<button id="addServiceAccountFromSetup_button_#3707" class="btn btn-default" type="button" 
			data-ng-click="addServiceAccountCtrl.cancel()">
			<cv:msg key="Cancel" bundle="messages" />
		</button>
		<button id="addServiceAccountFromSetup_button_#3985" class="btn btn-primary" type="submit" 
			ng-show="!addServiceAccountCtrl.isEdit">
			<cv:msg key="Add" bundle="messages" />
		</button>
		<button id="addServiceAccountFromSetup_button_#9412" class="btn btn-primary" type="submit" 
			ng-show="addServiceAccountCtrl.isEdit">
			<cv:msg key="Save" bundle="messages" />
		</button>
	</div>
</form>