<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
	<cv:cvMessages bundle="localization.messagesJs"></cv:cvMessages>
</script>

<form
	name="editEWSConnectionUrlForm"
	class="form-horizontal bootstrap-wrapper"
	data-cv-submit="editEWSConnectionUrlCtrl.saveEWSConnectionURL()"
	novalidate
	cv-hide-api
>
	<div class="modal-header">
		<h1><cv:msg key="header.EWSConnectionUrl" bundle="exchange"></cv:msg></h1>
	</div>

	<div class="modal-body">
		<div class="form-group margin-left-5 margin-right-5">
			<label class="col-xs-12 col-md-3" for="EWSConnectionUrl">
				<cv:msg key="label.EWSConnectionUrl" bundle="exchange"/>
			</label>
			<div class="col-xs-12 col-md-9">
				<input
					type="text"
					id="EWSConnectionUrl"
					name="EWSConnectionUrl"
					spellcheck="false"
					data-ng-pattern="editEWSConnectionUrlCtrl.EWS_CONNECTION_URL"
					data-ng-model="editEWSConnectionUrlCtrl.ewsConnectionUrl"
					required
					autofocus
				/>
				<div
					class="help-block"
					data-ng-show="cv.editEWSConnectionUrlForm.needsAttention(editEWSConnectionUrlForm.EWSConnectionUrl)"
				>
					<cv:msg key="error.EWSConnectionUrl" bundle="exchange" />
				</div>
			</div>
		</div>
		<div class="form-group padding-top-5">
			<div class="col-xs-12 col-md-12">
				<div class="margin-top-10">
					<div class="ews-connection-info">
						<div class="row">
							<div class="col-xs-1 col-md-1">
								<span class="margin-left-15 margin-top-20 k-icon k-i-info fa-2x"></span>
							</div>
							<div class="col-xs-11 col-md-11">
								<div
									class="margin-left-15 text-align-left"
									data-ng-bind-html="editEWSConnectionUrlCtrl.ewsConnectionURLInfo"
								></div>
							</div>
						</div>
						<hr>
						<div
							class="margin-left-20 small"
							data-ng-bind-html="editEWSConnectionUrlCtrl.ewsOnPremServiceAccountInfo"
						></div>
					</div>
				</div>
			</div>
		</div>
 	</div>

	<div class="modal-footer">
		 <button id="close" class="btn btn-default" type="button" data-ng-click="editEWSConnectionUrlCtrl.closeDialog()"> 
			<cv:msg key="label.close" bundle="messagesJs" />
		</button>
		<button data-ng-if="false" id="autoDiscoverEWSURL" class="btn btn-primary" type="button" data-ng-click="editEWSConnectionUrlCtrl.autoDiscoverEWSURL()"> 
			<cv:msg key="action.autoDiscoverEWSUrl" bundle="exchange" />
		</button>
		<button id="saveEWSConnectionURL" class="btn btn-primary" type="submit"> 
			<cv:msg key="action.save" bundle="exchange" />
		</button>
	</div>
</form>
