<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}">
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
	<cv:cvMessages bundle="localization.ediscovery"></cv:cvMessages>
</script>
<script type="text/ng-template" id="customTemplate.html">
	<a class="custodianSuggestText">
		<span ng-bind-html="match.label | uibTypeaheadHighlight:query"></span>
	</a>
</script>
<div class="setup-title">
	<h1>{{'label.share' | cvLoc}}</h1>
</div>
<form name="shareForm" class="form-horizontal bootstrap-wrapper"
	data-cv-submit="exchangeShareDetailsCtrl.submit()">
	<div class="modal-body">
		<!-- fetch list of current shares available -->
		<uib-accordion close-others="true">
		<div  uib-accordion-group data-is-open="exchangeShareDetailsCtrl.openDelegatedFolderList" class="row col-xs-12">
		<uib-accordion-heading>
					 <i
								class="float-left glyphicon"
								data-ng-class="exchangeShareDetailsCtrl.openDelegatedFolderList ? 'glyphicon-chevron-down' : 'glyphicon-chevron-right'"></i> &nbsp;<cv:msg key="label.myshares" bundle="exchange" />
		</uib-accordion-heading>
		
		<div class="col-xs-12">
			<cv-grid
					cv-grid-options="exchangeShareDetailsCtrl.dataTypeGridOptions"></cv-grid>
		</div>
		</div>
		</uib-accordion>
		<uib-accordion>
		<div uib-accordion-group data-is-open="exchangeShareDetailsCtrl.openCreateUpdateForm" data-ng-init="exchangeShareDetailsCtrl.showCreateFormDetails()" class="row col-xs-12">
		<uib-accordion-heading>
				<div data-ng-if="exchangeShareDetailsCtrl.showCreateForm">
					<i
								class="float-left glyphicon"
								data-ng-class="exchangeShareDetailsCtrl.openCreateUpdateForm ? 'glyphicon-chevron-down' : 'glyphicon-chevron-right'"></i> &nbsp;<cv:msg key="label.newshare" bundle="exchange" /> 
				</div>
				<div	data-ng-if="exchangeShareDetailsCtrl.showUpdateForm">
					 <i
								class="float-left glyphicon"
								data-ng-class="exchangeShareDetailsCtrl.openCreateUpdateForm ? 'glyphicon-chevron-down' : 'glyphicon-chevron-right'"></i> &nbsp;<cv:msg key="label.updateShare" bundle="exchange" /> {{exchangeShareDetailsCtrl.shareName}} 
			
				</div>
		</uib-accordion-heading>
			<div class="col-xs-12">
				<div class="form-group">
					<label class="col-xs-12 col-md-3 col-lg-3" for="shareEntireMailbox">
						<cv:msg key="label.shareFolder" bundle="exchange" />
					</label>
					<div class="col-xs-12 col-md-4 col-lg-4" data-ng-if="exchangeShareDetailsCtrl.showCreateForm">
						<input id="shareEntireMailbox" name="shareEntireMailbox"
						type="checkbox"
						data-ng-model="exchangeShareDetailsCtrl.shareEntireMailbox" />
						<label for="shareEntireMailbox">
							<cv:msg	key="label.shareEntireMailbox" bundle="exchange" />
						</label>
					</div>
					<div class="col-xs-12 col-md-5 col-lg-5 margin-top-10" data-ng-if="exchangeShareDetailsCtrl.showCreateForm">
						<span data-uib-collapse="exchangeShareDetailsCtrl.shareEntireMailbox">
							<a href="" 
						data-ng-disabled="exchangeShareDetailsCtrl.shareEntireMailbox"
						data-ng-click="exchangeShareDetailsCtrl.openBrowseMailboxModal()">
								<span data-ng-if="exchangeShareDetailsCtrl.folderGUID === ''"><cv:msg key="label.browseFolder" bundle="exchange" /></span>
								<span class="crop" title="{{exchangeShareDetailsCtrl.shareName}}" data-ng-if="exchangeShareDetailsCtrl.folderGUID !== ''">{{exchangeShareDetailsCtrl.shareName}}</span>
							</a>
						</span>
					</div>
					<div class="col-xs-12 col-md-8 col-lg-8 margin-top-10 crop" id="shareFolderPath" data-ng-readonly="true" data-ng-if="exchangeShareDetailsCtrl.showUpdateForm" title="{{exchangeShareDetailsCtrl.shareFolderPath}}">
							{{exchangeShareDetailsCtrl.shareFolderPath}}
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12" for="custodiansList">
						<cv:msg key="label.destUser" bundle="exchange" />
					</label>
					<div class="col-xs-12 margin-left-10 center">
						<cv-add-users id="custodiansList" custodians="exchangeShareDetailsCtrl.custodiansList" page-size="5" class="wrapper-view"/>
					</div>
				</div>
					<!-- shared with people list -- End -->
				<div class="form-group">
					<!-- <label class="col-xs-12 col-md-4 col-lg-4" for="notifyViaEmail">
						</label> -->
					<div class="col-xs-12 col-md-5 col-lg-5">
						<input id="notifyViaEmail" name="notifyViaEmail" class="" type="checkbox" 
						data-ng-model="exchangeShareDetailsCtrl.notifyViaEmail" />
						<label for="notifyViaEmail"><cv:msg key="label.notifyViaEmail" bundle="exchange" /></label>
					</div>
					<div class="col-xs-12 col-md-7 col-lg-7">
						<textarea class="textarea" placeholder='<cv:msg key="label.notifyPlaceHolderText" bundle="exchange" />' id="notifyMessage" name="notifyMessage" data-ng-model="exchangeShareDetailsCtrl.notifyMessage"></textarea>
					</div>
				</div>
			</div>
		</div>
		<!-- End of create/update form div -->
	</div>
	<!-- Modal body end -->
		<div class="modal-footer">
			<button id="exchangeShareDetails_button_#6788" class="btn btn-default cvBusyOnAjax" type="button" 
			data-ng-click="exchangeShareDetailsCtrl.cancel()">{{'Cancel'
			| cvLoc}}</button>
		<button id="exchangeShareDetails_button_#6487" class="btn btn-primary cvBusyOnAjax" type="submit" 
			data-ng-show="exchangeShareDetailsCtrl.showCreateForm|| exchangeShareDetailsCtrl.showUpdateForm" data-ng-disabled="exchangeShareDetailsCtrl.custodiansList.length === 0">
				{{exchangeShareDetailsCtrl.submitButtonText}}
			</button>
		</div>
	
</form>
