<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<div>
	<div class="bootstrap-wrapper">
		<%-- <h1 class="page-header">
				<cv:msg key="label.addMailbox" bundle="exchange" />
			</h1> --%>
		<p class="{{addMBCtrl.mailbox.error.type}} serverMessage text-center">{{addMBCtrl.mailbox.error.message}}</p>
		<p
			class="{{addMBCtrl.addMailboxMessage.type}} serverMessage text-center">{{addMBCtrl.addMailboxMessage.message}}</p>
		<div class="panel panel-default">
			<div class="panel-heading">
				<div class="panel-title">
					<cv:msg key="header.general" bundle="exchange" />
				</div>
			</div>
			<div class="panel-body">
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="serverName"><cv:msg
							key="label.serverName" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<input type="text" name="serverName" id="serverName"
							placeholder='<cv:msg key="label.help.serverName" bundle="exchange"/>'
							data-ng-disabled="addMBCtrl.mailbox.disableClientName"
							data-ng-pattern="/^[a-zA-Z0-9]*$/"
							data-ng-model="addMBCtrl.mailbox.attributes.clientName" required
							autofocus />
						<div class="help-block"
							data-ng-show="submitController.needsAttention(formController.serverName)">
							<cv:msg key="error.noServerName" bundle="exchange" />
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="serverPlan"><cv:msg
							key="label.serverPlan" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<select id="serverPlan" name="serverPlan"
							data-ng-options="plan.planSummary.plan.planId as plan.planSummary.plan.planName for plan in addMBCtrl.serverPlanList | orderBy: 'planSummary.plan.planName'"
							required data-ng-model="addMBCtrl.mailbox.attributes.planId">
							<option value=""><cv:msg key="label.selectServerPlan"
									bundle="exchange" /></option>
						</select>
						<div class="help-block"
							data-ng-show="submitController.needsAttention(formController.serverPlan)">
							<cv:msg key="error.selectPlan" bundle="exchange" />
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="indexServer"><cv:msg
							key="label.indexServer" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<select name="indexServer" id="indexServer"
							data-ng-options="indexServer.mediaAgentName for indexServer in addMBCtrl.indexServerList | orderBy: 'mediaAgentName'"
							required data-ng-model="addMBCtrl.mailbox.attributes.indexServer">
							<option value=""><cv:msg key="label.selectIndexServer"
									bundle="exchange" /></option>
						</select>
						<div class="help-block"
							data-ng-show="submitController.needsAttention(formController.indexServer)">
							<cv:msg key="error.selectIndexServer" bundle="exchange" />
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="jobResultDirectory"><cv:msg
							key="label.jobResultsDirectory" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<input type="text" id="jobResultDirectory"
							name="jobResultDirectory"
							placeholder='<cv:msg key="label.help.jobResultsDirectory" bundle="exchange" />'
							data-ng-model="addMBCtrl.mailbox.attributes.jobResulsDir.path"
							data-ng-pattern="addMBCtrl.REGEX.WINDOWS_NETWORK_PATH" />
						<div class="help-block"
							data-ng-show="formController.jobResultDirectory.$error.required && submitController.needsAttention(formController.jobResultDirectory)">
							<cv:msg key="error.noJobResultsDirectory" bundle="exchange" />
						</div>
						<div class="help-block"
							data-ng-show="formController.jobResultDirectory.$error.pattern && submitController.needsAttention(formController.jobResultDirectory)">
							<cv:msg key="error.invalidNetworkPath" bundle="exchange" />
						</div>
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="accessNodes"><cv:msg
							key="label.accessNodes" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<isteven-multi-select input-model="addMBCtrl.nodeList"
							output-model="addMBCtrl.mailbox.attributes.memberServers.memberServers"
							button-label="clientName" item-label="clientName"
							tick-property="selected"
							class="isteven-multi-select user-group-select" id="accessNodes"
							name="accessNodes" helper-elements="all none reset filter"
							max-labels="2" translation="addMBCtrl.localLang"
							group-property="msGroup"> </isteven-multi-select>
						<span class="help-block"
							data-ng-show="addMBCtrl.showNodesErrorMessage "><cv:msg
								key="error.selectNodes" bundle="exchange" /></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="recallService"><cv:msg
							key="label.recallService" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<input type="text" name="recallService" id="recallService"
						placeholder='<cv:msg key="label.help.recallService" bundle="exchange" />'
							data-ng-model="addMBCtrl.mailbox.attributes.recallService" />
						<div class="text-muted">
							<cv:msg key="label.provideIfYouWantCSEmailView" bundle="exchange" />
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="panel panel-default">
			<div class="panel-heading">
				<div class="panel-title">
					<cv:msg key="label.exchangeEnvironment" bundle="exchange" />
				</div>
			</div>
			<div class="panel-body">
				<div class="form-group">
					<label class="col-xs-12 col-lg-3" for="mailboxType"><cv:msg
							key="label.mailboxType" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<select id="mailboxType" name="mailboxType" required="required"
							data-ng-model="addMBCtrl.mailbox.mailboxType"
							data-ng-change="addMBCtrl.mailboxTypeSelected()">
							<option value=""><cv:msg key="label.selectMailboxType"
									bundle="exchange" /></option>
							<option value="user"><cv:msg key="label.userMailbox"
									bundle="exchange" /></option>
							<option value="contentStore"><cv:msg
									key="label.contentStoreMailbox" bundle="exchange" /></option>
						</select>
						<div class="help-block"
							data-ng-show="submitController.needsAttention(formController.mailboxType)">
							<cv:msg key="error.noMailboxType" bundle="exchange" />
						</div>
					</div>
				</div>
				<div class="form-group"
					data-uib-collapse="addMBCtrl.mailbox.mailboxType !== 'user'">
					<label class="col-xs-12 col-lg-3"><cv:msg
							key="label.environmentType" bundle="exchange" /></label>
					<div class="col-xs-12 col-lg-7">
						<div class="radio">
							<label><input type="radio" id="exchangeOnlineHybrind" data-ng-required="addMBCtrl.mailbox.mailboxType === 'user'"
								data-ng-model="addMBCtrl.mailbox.attributes.onePassProp.environmentType"
								value="EXCHANGE_ONLINE_HYBRID" name="environmentType" /> <cv:msg
									key="label.exchangeOnlineHybrind" bundle="exchange" /></label>
						</div>
						<div class="radio">
							<label><input type="radio"
								data-ng-model="addMBCtrl.mailbox.attributes.onePassProp.environmentType"
								value="EXCHANGE_ONLINE_WITH_ONPREM_AD" data-ng-required="addMBCtrl.mailbox.mailboxType === 'user'"
								id="exchangeOnlineWithOnPremisesAD" name="environmentType" /> <cv:msg
									key="label.exchangeOnlineWithOnPremisesAD" bundle="exchange" /></label>
						</div>
						<div class="radio">
							<label><input type="radio" id="exchangeOnlineWithAzureAD"
								name="environmentType" data-ng-required="addMBCtrl.mailbox.mailboxType === 'user'"
								data-ng-model="addMBCtrl.mailbox.attributes.onePassProp.environmentType"
								value="EXCHANGE_ONLINE_ONLY" /> <cv:msg
									key="label.exchangeOnlineWithAzureAD" bundle="exchange" /></label>
						</div>
						<div class="help-block"
							data-ng-show="submitController.needsAttention(formController.environmentType)">
							<cv:msg key="error.noEnvironmentType" bundle="exchange" />
						</div>
					</div>
				</div>
				<div id="environmentForm"></div>
				<div
					data-uib-collapse="!addMBCtrl.mailbox.attributes.onePassProp.environmentType">
					<div
						data-ng-if="addMBCtrl.mailbox.attributes.onePassProp.environmentType !== 'EXCHANGE_ONLINE_ONLY' && addMBCtrl.mailbox.attributes.onePassProp.environmentType !== 'EXCHANGE_ONLINE_WITH_ONPREM_AD'">
						<div class="form-group">
							<label class="col-xs-12 col-lg-3" for="exchangeServers"><cv:msg
									key="label.exchangeServers" bundle="exchange" /></label>
							<div class="col-xs-12 col-lg-7">
								<textarea class="exchange-server-textarea" spellcheck="false"
									placeholder="<cv:msg key="placeholder.exchangeServers" bundle="exchange"/>"
									id="exchangeServers" name="exchangeServers" class="textarea"
									data-ng-model="addMBCtrl.mailbox.attributes.onePassProp.servers"
									data-ng-list="&#10;" data-ng-trim="false"></textarea>
								<div class="help-block"
									data-ng-show="submitController.needsAttention(formController.exchangeServers)">
									<cv:msg key="error.noServerName" bundle="exchange" />
								</div>
							</div>
						</div>
					</div>
					<div
						data-ng-if="addMBCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'">
						<div class="form-group" data-ng-if="!addMBCtrl.dontUseExchangeOAuth">
							<label class="col-xs-12 col-lg-3" for="commvaultApp"><cv:msg
									key="label.iWantToUse" bundle="exchange" /></label>
							<div class="col-xs-12 col-lg-7">
								<div class="multiple-radio-group">
									<label><input type="radio" id="commvaultApp" name="azureMethod" data-ng-required="addMBCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'"
										data-ng-change="addMBCtrl.selectAzureMethod('commvault')"
										data-ng-model="addMBCtrl.mailbox.azureMethod"
										value="commvault" /> <cv:msg key="label.useDefaultApp"
											bundle="exchange" /></label>
								</div>
								<div class="multiple-radio-group">
									<label><input type="radio" id="customApp" name="azureMethod"
										data-ng-change="addMBCtrl.selectAzureMethod('custom')" data-ng-required="addMBCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'"
										data-ng-model="addMBCtrl.mailbox.azureMethod" value="custom" />
										<cv:msg key="label.useCustomApp" bundle="exchange" /></label>
								</div>
								<div class="help-block"
									data-ng-show="submitController.needsAttention(formController.azureMethod)">
									<cv:msg key="error.noServerName" bundle="exchange" />
								</div>
							</div>
						</div>
						<div data-uib-collapse="!addMBCtrl.mailbox.azureMethod">
								<div class="form-group" data-ng-if="addMBCtrl.mailbox.azureMethod !== 'commvault'">
									<label class="col-xs-12 col-lg-3" for="applicationId"><cv:msg
											key="label.applicationId" bundle="exchange"></cv:msg></label>
									<div class="col-xs-12 col-lg-7">
										<input type="text" id="applicationId" name="applicationId"
											placeholder='<cv:msg key="label.help.applicationId" bundle="exchange"/>'
											data-ng-disabled="addMBCtrl.mailbox.azureMethod !== 'custom'"
											data-ng-required="addMBCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'"
											data-ng-model="addMBCtrl.mailbox.attributes.onePassProp.azureDetails.azureAppKeyID" />
										<div class="help-block"
											data-ng-show="submitController.needsAttention(formController.applicationId)">
											<cv:msg key="label.appIdRequired" bundle="exchange" />
										</div>
									</div>
								</div>
								<div class="form-group" data-ng-if="addMBCtrl.mailbox.azureMethod !== 'commvault'">
									<label class="col-xs-12 col-lg-3" for="secretAccessKey"><cv:msg
											key="label.secretAccessKey" bundle="exchange"></cv:msg></label>
									<div class="col-xs-12 col-lg-7">
										<input type="password" id="secretAccessKey"
											name="secretAccessKey"
											placeholder='<cv:msg key="label.help.secretAccessKey" bundle="exchange"/>'
											data-ng-disabled="addMBCtrl.mailbox.azureMethod !== 'custom'"
											data-ng-required="addMBCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'"
											data-ng-model="addMBCtrl.mailbox.attributes.onePassProp.azureDetails.azureAppKeySecret" />
										<div class="help-block"
											data-ng-show="submitController.needsAttention(formController.secretAccessKey)">
											<cv:msg key="label.appSecretRequired" bundle="exchange" />
										</div>
									</div>
								</div>
							<div class="form-group">
								<label class="col-xs-12 col-lg-3" for="tenantName"><cv:msg
										key="label.azureDirectoryID" bundle="messages"></cv:msg></label>
								<div class="col-xs-12 col-lg-7">
									<div
										data-ng-class="{'input-group': addMBCtrl.mailbox.azureMethod === 'commvault'}">
										<input type="text" id="tenantName" name="tenantName"
											placeholder='<cv:msg key="label.help.azureDirectoryID" bundle="messages"/>'
											data-ng-required="addMBCtrl.mailbox.attributes.onePassProp.environmentType === 'EXCHANGE_ONLINE_ONLY'"
											data-ng-model="addMBCtrl.mailbox.attributes.onePassProp.azureDetails.azureTenantName" />
										<span class="input-group-btn"
											data-ng-if="addMBCtrl.mailbox.azureMethod === 'commvault'">
											<button id="addOffice365MailboxTemplate_button_#1042" class="btn btn-primary" type="button" 
												data-ng-click="addMBCtrl.loginToMicrosoftAzure()">
												<cv:msg key="label.signInToAzure" bundle="exchange" />
											</button>
										</span>
									</div>
									<div class="text-muted" data-ng-if="addMBCtrl.mailbox.azureMethod === 'commvault'">
										<cv:msg key="label.canRetrieveThisForYou" bundle="exchange"></cv:msg>
									</div>
									<div class="help-block"
										data-ng-show="submitController.needsAttention(formController.tenantName)">
										<cv:msg key="label.azureTenantIdRequired" bundle="exchange" />
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div
			data-uib-collapse="addMBCtrl.mailbox.mailboxType.toLowerCase() !== 'contentstore' && !addMBCtrl.mailbox.attributes.onePassProp.environmentType">
			<cv-grid cv-grid-options="addMBCtrl.gridOptions"></cv-grid>
		</div>
	</div>
	<!-- needed for encoding the password -->
	<script src="${pageContext.request.contextPath}/common/js/encoder.js"></script>
</div>