<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv"%>
<script nonce="${sessionScope.cspNonce}" >
	<cv:cvMessages bundle="localization.profiles"></cv:cvMessages>
	<cv:cvMessages bundle="localization.serversJs"></cv:cvMessages>
	<cv:cvMessages bundle="localization.exchange"></cv:cvMessages>
	<cv:cvMessages bundle="localization.clients"></cv:cvMessages>
</script>
<div class="setup-title">
	<h1>{{createMbNewAssociationCtrl.title}}</h1>
</div>
<div class="setup-content user-edit-content">
	<p class="{{createMbNewAssociationCtrl.editAssociationMessage.type}} serverMessage">{{createMbNewAssociationCtrl.editAssociationMessage.message}}</p>
		<form name="createNewAssociationForm" data-cv-submit="createMbNewAssociationCtrl.createAssociation()" novalidate autocomplete="off" id="create-new-association-form">
		<div data-ng-if="!createMbNewAssociationCtrl.editMode"
			class="col-md-12">
			<div class="grid-padding server-message pull-right"> <a href=""
				data-ng-click="createMbNewAssociationCtrl.refreshMBFromDB()">
					<span data-ng-if="createMbNewAssociationCtrl.type === 'User'">
						<cv:msg key="action.refreshUser" bundle="exchange" />
					</span>
					<span
						data-ng-if="createMbNewAssociationCtrl.type === 'Journal Mailbox'">
						<cv:msg key="action.refreshJournal" bundle="exchange" />
					</span>
					<span
						data-ng-if="createMbNewAssociationCtrl.type === 'Database'"><cv:msg
							key="action.refreshDB" bundle="exchange" /></span>
						<span data-ng-if="createMbNewAssociationCtrl.type === 'AD Group'"><cv:msg
							key="action.refreshADGroup" bundle="exchange" /></span>
					</a><cv-help-component help-text='<cv:msg
							key="action.refreshHelp" bundle="exchange" />' help-placement="left" class="ng-scope ng-isolate-scope"></div>
						</div>
			<div data-ng-if="!createMbNewAssociationCtrl.editMode" >
				<span data-ng-show="!createMbNewAssociationCtrl.loaded" class="grid-data-spinner">
						<img src="${pageContext.request.contextPath}/common/img/ajax-loader.gif">
				</span>
				<div data-ng-disabled="!createMbNewAssociationCtrl.loaded" class="grid-padding">
					<cv-grid cv-grid-options="createMbNewAssociationCtrl.gridOptions"></cv-grid>
				</div>
			</div>
			<div data-ng-if="createMbNewAssociationCtrl.editMode">
				<div data-ng-if="createMbNewAssociationCtrl.type === 'User' || createMbNewAssociationCtrl.type === 'Journal Mailbox'">
					<div class="name">
					  <span class="span-margin"><cv:msg key="label.displayName" bundle="exchange"/></span>
					  <span class="span-large-margin">{{createMbNewAssociationCtrl.associations[0].displayName}}</span>
					</div>
					<div class="name">
					  <span class="span-margin"><cv:msg key="label.mailboxSMTPAddress" bundle="exchange"/></span>
					  <span class="span-less-margin">{{createMbNewAssociationCtrl.associations[0].smtpAdrress}}</span>
					</div>
					<div class="smtp">
					  <span class="span-margin"><cv:msg key="label.databaseName" bundle="exchange"/></span>
					  <span class="database-name">{{createMbNewAssociationCtrl.associations[0].databaseName}}</span>
					</div>
				</div>
				<div data-ng-if="createMbNewAssociationCtrl.type === 'Database'">
					<div class="name">
					  <span class="span-margin"><cv:msg key="label.displayName" bundle="exchange"/></span>
					  <span class="span-large-margin">{{createMbNewAssociationCtrl.associations[0].databaseName}}</span>
					</div>
					<div class="name">
					  <span class="span-margin"><cv:msg key="label.exchangeServers" bundle="exchange"/></span>
					  <span class="exchange-server">{{createMbNewAssociationCtrl.associations[0].exchangeServer}}</span>
					</div>
				</div>
				<div data-ng-if="createMbNewAssociationCtrl.type === 'AD Group'">
					<div class="name">
					  <span class="span-margin"><cv:msg key="label.displayName" bundle="exchange"/></span>
					  <span class="span-large-margin">{{createMbNewAssociationCtrl.associations[0].adGroupName}}</span>
					</div>
				</div>
				
				<div data-ng-if="createMbNewAssociationCtrl.type === 'All Users'">
					<div class="extra-margin-top">
					 <input  type="checkbox" id="enableAllUsers" name="enableAllUsers" class="" data-ng-model="createMbNewAssociationCtrl.model.enableAllUsers">
					<label for="enableAllUsers" class="checkbox-label"><cv:msg key="label.enableAllUsers" bundle="exchange"/></label>
					</div>
				</div>
			</div>
			<!-- // check box added start // -->
			<div data-ng-if="createMbNewAssociationCtrl.showEnableAutoDiscover" class="extra-margin-top">
				<input data-ng-disabled="createMbNewAssociationCtrl.editMode" type="checkbox" id="enableAutoDiscover" name="enableAutoDiscover" class="" data-ng-model="createMbNewAssociationCtrl.model.enableAutoDiscover">
				<label for="enableAutoDiscover" class="checkbox-label"><cv:msg key="label.enableAutoDiscover" bundle="exchange"/></label>
			</div>
			<!-- select exchange plan -->
			<div class="addServerModal" data-ng-if="createMbNewAssociationCtrl.assignMode != 'autoDiscovery'">
				<label for="exchangePlan" class="select-label" ><cv:msg key="label.exchangePlan" bundle="exchange" />
					<select name="exchangePlan" id="exchangePlan" class='select plan' data-ng-options="plan.planSummary.plan.planName for plan in createMbNewAssociationCtrl.exchangePlanList | orderBy: 'planSummary.plan.planName'" data-ng-model="createMbNewAssociationCtrl.model.plan" >
						<option value=""><cv:msg key="label.selectExchangePlan" bundle="exchange" /></option>
					</select>
				</label>
			</div>
			<div class="button-container">
				<button id="office365CreateNewAssociation_button_#0709" type="button" class="btn btn-default cvBusyOnAjax" data-ng-click="createMbNewAssociationCtrl.cancel()"><cv:msg key="action.cancel" bundle="profiles"/></button> 
				<button id="office365CreateNewAssociation_button_#9542" type="submit" class="btn btn-primary cvBusyOnAjax"><cv:msg key="action.save" bundle="profiles"/></button> 
			</div>
		</form>
</div>
